Package org.bukkit.persistence

# Interface PersistentDataHolder

All Known Subinterfaces:
  `AbstractArrow`, `AbstractHorse`, `AbstractSkeleton`, `AbstractVillager`, `Ageable`, `Ambient`, `Animals`, `AreaEffectCloud`, `ArmorStand`, `ArmorStandMeta`, `Arrow`, `Axolotl`, `AxolotlBucketMeta`, `Banner`, `BannerMeta`, `Barrel`, `Bat`, `Beacon`, `Bed`, `Bee`, `Beehive`, `Bell`, `BlastFurnace`, `Blaze`, `BlockDataMeta`, `BlockStateMeta`, `Boat`, `BookMeta`, `Boss`, `Breedable`, `BrewingStand`, `Bucketable`, `BundleMeta`, `Campfire`, `Cat`, `CaveSpider`, `Chest`, `ChestedHorse`, `Chicken`, `Chunk`, `Cod`, `CollarColorable`, `CommandBlock`, `CommandMinecart`, `Comparator`, `CompassMeta`, `ComplexEntityPart`, `ComplexLivingEntity`, `Conduit`, `Container`, `Cow`, `Creature`, `CreatureSpawner`, `Creeper`, `CrossbowMeta`, `Damageable`, `Damageable`, `DaylightDetector`, `Dispenser`, `Dolphin`, `Donkey`, `DragonFireball`, `Dropper`, `Drowned`, `Egg`, `ElderGuardian`, `EnchantingTable`, `EnchantmentStorageMeta`, `EnderChest`, `EnderCrystal`, `EnderDragon`, `EnderDragonPart`, `Enderman`, `Endermite`, `EnderPearl`, `EnderSignal`, `EndGateway`, `Entity`, `EntityBlockStorage<T>`, `Evoker`, `EvokerFangs`, `ExperienceOrb`, `Explosive`, `ExplosiveMinecart`, `FallingBlock`, `Fireball`, `Firework`, `FireworkEffectMeta`, `FireworkMeta`, `Fish`, `FishHook`, `Flying`, `Fox`, `Furnace`, `Ghast`, `Giant`, `GlowItemFrame`, `GlowSquid`, `Goat`, `Golem`, `Guardian`, `Hanging`, `Hoglin`, `Hopper`, `HopperMinecart`, `Horse`, `HumanEntity`, `Husk`, `Illager`, `Illusioner`, `IronGolem`, `Item`, `ItemFrame`, `ItemMeta`, `Jigsaw`, `Jukebox`, `KnowledgeBookMeta`, `LargeFireball`, `LeashHitch`, `LeatherArmorMeta`, `Lectern`, `LightningStrike`, `LingeringPotion`, `LivingEntity`, `Llama`, `LlamaSpit`, `MagmaCube`, `MapMeta`, `Marker`, `Minecart`, `Mob`, `Monster`, `Mule`, `MushroomCow`, `NPC`, `Ocelot`, `Painting`, `Panda`, `Parrot`, `Phantom`, `Pig`, `Piglin`, `PiglinAbstract`, `PiglinBrute`, `PigZombie`, `Pillager`, `Player`, `PolarBear`, `PotionMeta`, `PoweredMinecart`, `Projectile`, `PufferFish`, `Rabbit`, `Raider`, `RangedEntity`, `Ravager`, `Repairable`, `RideableMinecart`, `Salmon`, `SculkSensor`, `Sheep`, `Shulker`, `ShulkerBox`, `ShulkerBullet`, `Sign`, `Silverfish`, `SizedFireball`, `Skeleton`, `SkeletonHorse`, `Skull`, `SkullMeta`, `Slime`, `SmallFireball`, `Smoker`, `Snowball`, `Snowman`, `SpawnEggMeta`, `SpawnerMinecart`, `SpectralArrow`, `Spellcaster`, `Spider`, `SplashPotion`, `Squid`, `Steerable`, `StorageMinecart`, `Stray`, `Strider`, `Structure`, `Structure`, `SuspiciousStewMeta`, `Tameable`, `ThrowableProjectile`, `ThrownExpBottle`, `ThrownPotion`, `TileState`, `TippedArrow`, `TNTPrimed`, `TraderLlama`, `Trident`, `TropicalFish`, `TropicalFishBucketMeta`, `Turtle`, `Vehicle`, `Vex`, `Villager`, `Vindicator`, `WanderingTrader`, `WaterMob`, `Witch`, `Wither`, `WitherSkeleton`, `WitherSkull`, `Wolf`, `World`, `Zoglin`, `Zombie`, `ZombieHorse`, `ZombieVillager`

public interface PersistentDataHolder
The `PersistentDataHolder` interface defines an object that can store custom persistent meta data on it.

## Method Summary

Modifier and Type
Method
Description
`@NotNull PersistentDataContainer`
`getPersistentDataContainer()`
Returns a custom tag container capable of storing tags on the object.

## Method Details

### getPersistentDataContainer

@NotNull @NotNull PersistentDataContainer getPersistentDataContainer()
Returns a custom tag container capable of storing tags on the object. Note that the tags stored on this container are all stored under their own custom namespace therefore modifying default tags using this `PersistentDataHolder` is impossible.

Returns:
  the persistent metadata container